﻿.fsh-center-text {
    text-align: center !important;
}

.mud-button-filled {
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 30%), 0 2px 2px 0 rgb(0 0 0 / 0), 0 1px 5px 0 rgb(0 0 0 / 10%) !important;
}

.mud-dialog {
    box-shadow: 0 3px 1px -2px rgb(0 0 0 / 10%), 0 2px 2px 0 rgb(0 0 0 / 0), 0 10px 10px 0 rgb(0 0 0 / 5%) !important;
}

.mud-nav-link {
    white-space: normal !important;
    padding: 12px 16px 12px 38px;
}

.mud-nav-link.active:not(.mud-nav-link-disabled) {
    border-right: 3px solid var(--mud-palette-primary);
    background-color: rgba(var(--mud-palette-primary-rgb), 0.1);
}

#blazor-error-ui {
    color: var(--mud-palette-drawer-text);
    background: var(--mud-palette-drawer-background);
}

.mud-overlay-dark {
    backdrop-filter: blur(2px);
}

.mud-card-header .mud-card-header-avatar {
    margin-inline-end: 10px !important;
}

.mud-nav-link {
    padding: 12px 16px 12px 15px !important;
}

.mud-dialog-content {
    max-height: 75vh !important;
    overflow: auto !important;
    overflow-x: hidden !important;
}

.fsh-nav-child {
    padding-left: 10px !important;
}

.no-width {
    width: 0% !important;
}

.no-wrap {
    white-space: nowrap;
}

.overflow-ellipsis {
    text-overflow: ellipsis;
    overflow-x: hidden;
    white-space: nowrap;
}

.text-left {
    text-align:left;
}

.text-right {
    text-align:right;
}

.mh-50vh {
    max-height: 50vh;
    overflow: auto;
}